Bug 140737 - pci=biosirq cause Kernel Oops
pci=biosirq cause Kernel Oops
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 11:03 EST by Ralf Corsepius
Modified: 2009-12-18 00:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:50:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v (990 bytes, text/plain)
2005-07-17 04:12 EDT, Ralf Corsepius
no flags Details
photograph of the oops (276.56 KB, image/jpeg)
2008-04-17 01:13 EDT, Ralf Corsepius
no flags Details
more detailed photograph of the oops (vga=1) (348.43 KB, image/jpeg)
2008-04-17 01:33 EDT, Ralf Corsepius
no flags Details

  None (edit)
Description Ralf Corsepius 2004-11-24 11:03:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
When booting kernel-2.6.9-1.681_FC3.i586 on an ancient i586, I am
observing the following boot message:
...
PCI: No IRQ known for interrupt pin A of device 0000:00:14.0. Please
try using pci=biosirq.
pd6729: Cirrus PD6729 PCI to PCMCIA Bridge at 0x7040 on irq 0
pd6729: configured as a 2 socket device.
pd6729: Failed to register irq 0, aborting
pd6729: probe of 0000:00:14.0 failed with error -16
...

This made me try booting wiht pci=biosirq added to the bootparameters.

Booting with pci=biosirq causes this kernel oops:
...
PCI: Probing PCI hardware (bus 00)
Unable to handle kernel NULL pointer dereference at virtual address
00000080
printing eip:
c00f0367
*pde = 00000000
Oops: 0000 [#1]
CPU:	0
EIP: 	0060:[<c00f0367>] Not tainted VLI
EFLAGS:	00010046 (2.6.9-1.681_FC3)
...
<0>Kernel panic - not syncing: Attempted to kill init!


Version-Release number of selected component (if applicable):
kernel-2.6.9-1.681_FC3

How reproducible:
Always

Steps to Reproduce:
Try adding pci=biosirq to the boot parameters.

I don't know if this breakdown is specific to my HW or can be
reproduced elsewhere.

Actual Results:  Kernel panic.
Comment 1 Dave Jones 2005-07-15 15:29:32 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Ralf Corsepius 2005-07-17 00:34:32 EDT
This particular machine has been upgraded to FC4 since having filed this PR.

With kernel-2.6.12-1.1390_FC4, adding pci=biosirq to the kernel parameters in
grub still causes this OOPS.
Comment 3 Ralf Corsepius 2005-07-17 02:11:08 EDT
Bug still present with kernel-2.6.12-1.1398_FC4
Comment 4 Dan Carpenter 2005-07-17 03:49:21 EDT
what's the output from `lspci -v`?

Comment 5 Ralf Corsepius 2005-07-17 04:12:11 EDT
Created attachment 116848 [details]
lspci -v

This is an old (ca. 1995) AcerNote Nuovo with an i586 166/MMX CPU
Comment 6 Dan Carpenter 2005-07-17 04:42:10 EDT
> 00:14.0 PCMCIA bridge: Cirrus Logic CL 6729 (rev fe)

It's something with PCMCIA.  Do you have a card installed in the slot when you boot?

From your description it sounds like the system boots when you leave off the
pci=biosirq.  If it boots, are you able to use your PCMCIA devices?

Does the slot look Ok physically?

I don't have enough knowledge to help you beyond this point.
Comment 7 Ralf Corsepius 2005-07-17 06:06:52 EDT
(In reply to comment #6)
> > 00:14.0 PCMCIA bridge: Cirrus Logic CL 6729 (rev fe)
> 
> It's something with PCMCIA.  Do you have a card installed in the slot when you
boot?
Yes, there is a Quatech Q-Lynx QSP-100 4-port serial PCMCIA card inserted into
one slot.

> From your description it sounds like the system boots when you leave off the
> pci=biosirq.
Yes, it boots without pci=biosirq, but OOPSes with pci=biosirq, whether or not
the PCMCIA card is inserted.

>  If it boots, are you able to use your PCMCIA devices?
I don't know, I haven't actually used this card for years, but I know for sure
it once had worked.  Also, when inserting the card, I see /dev/ttyS16 - S19
related console messages appear on the console.

The output of "lspci -v" w/ and w/o the card inserted is identical.

Something to investigate - but I doubt this issue to be related to this PCMCIA card.
 
> Does the slot look Ok physically?
Yes, it does.

> I don't have enough knowledge to help you beyond this point.
Let me put it this way: A kernel OOPs should never be acceptable whatever might
be the cause.
Comment 8 Dave Jones 2005-09-30 02:06:47 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 9 Ralf Corsepius 2005-09-30 05:23:42 EDT
(In reply to comment #8)
> Please retest with this update, and update this bug if necessary.
This bug is still present in 2.6.13-1.1526_FC4 i586.
Comment 10 Dave Jones 2005-11-10 14:03:59 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 11 Ralf Corsepius 2005-11-10 17:44:05 EST
(In reply to comment #10)
> 2.6.14-1.1637_FC4 has been released as an update for FC4.
No improvement, bug is still present
Comment 12 Dave Jones 2006-02-03 01:30:46 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 13 John Thacker 2006-05-04 09:10:55 EDT
Closing per previous comment.
Comment 14 Ralf Corsepius 2006-05-04 09:21:21 EDT
kernel-2.6.16-1.2096_FC5.i586 still oopses with pci=biosirq
Comment 15 Dave Jones 2006-09-16 21:36:29 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 16 Dave Jones 2006-10-16 16:16:47 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 17 Ralf Corsepius 2007-02-20 06:23:07 EST
Bug still present in 2.6.16-2.2911.fc6
Comment 18 Jon Stanley 2008-01-19 23:37:16 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.
Comment 19 Ralf Corsepius 2008-01-23 08:56:42 EST
Bug still present with F8/i586 kernel-2.6.23.9-85.fc8.i586
(same old machine as in the initial report).

Comment 20 Chuck Ebbert 2008-04-16 20:57:23 EDT
Can you post the entire oops message?
Comment 21 Ralf Corsepius 2008-04-17 01:13:48 EDT
Created attachment 302698 [details]
photograph of the oops

kernel-2.6.24.4-64.fc8.i586

kernel-cmdline: ro root=/dev/VolGroup00/LogVol00 acpi=off nousb edd=off
netprofile=DLink pci=biosirq

Without pci=biosirq, booting this machine still issues
PCI: No IRQ known for interrupt pin A of device 0000:00:14.0. Please try using
pci=biosirq.
but seems to work without major issues, afterwards.
Comment 22 Ralf Corsepius 2008-04-17 01:33:13 EDT
Created attachment 302702 [details]
more detailed photograph of the oops (vga=1)
Comment 23 Bug Zapper 2008-11-26 01:48:19 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Ralf Corsepius 2008-11-26 04:50:39 EST
With kernel-2.6.27.5-117.fc10.i586, adding pci=biosirq to the kernel parameters in grub still causes this OOPS.
Comment 25 Bug Zapper 2009-11-18 03:03:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2009-12-18 00:50:39 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.